| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
cv::MatConstIterator_< _Tp > Class Template Reference
Core functionality » Basic structures

Matrix read-only iterator. More...

`#include <opencv2/core/mat.hpp>`

Collaboration diagram for cv::MatConstIterator_< _Tp >:

## Public Types
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type
Public Types inherited from cv::MatConstIterator
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const uchar ** | pointer
typedef uchar * | reference
typedef uchar * | value_type

## Public Member Functions
| MatConstIterator_ ()
| default constructor
| MatConstIterator_ (const Mat_< _Tp > *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const MatConstIterator_ &it)
| copy constructor
const _Tp & | operator* () const
| returns the current matrix element
MatConstIterator_ & | operator++ ()
| increments the iterator
MatConstIterator_ | operator++ (int)
| increments the iterator
MatConstIterator_ & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator_ & | operator-- ()
| decrements the iterator
MatConstIterator_ | operator-- (int)
| decrements the iterator
MatConstIterator_ & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator_ & | operator= (const MatConstIterator_ &it)
| copy operator
const _Tp & | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
Public Member Functions inherited from cv::MatConstIterator
| MatConstIterator ()
| default constructor
| MatConstIterator (const Mat *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator (const Mat *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const MatConstIterator &it)
| copy constructor
ptrdiff_t | lpos () const
const uchar * | operator* () const
| returns the current matrix element
MatConstIterator & | operator++ ()
| increments the iterator
MatConstIterator | operator++ (int)
| increments the iterator
MatConstIterator & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator & | operator-- ()
| decrements the iterator
MatConstIterator | operator-- (int)
| decrements the iterator
MatConstIterator & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator & | operator= (const MatConstIterator &it)
| copy operator
const uchar * | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
void | pos (int *_idx) const
| returns the current iterator position
void | seek (const int *_idx, bool relative=false)
void | seek (ptrdiff_t ofs, bool relative=false)

## Additional Inherited Members
Public Attributes inherited from cv::MatConstIterator
size_t | elemSize
const Mat * | m
const uchar * | ptr
const uchar * | sliceEnd
const uchar * | sliceStart

## Detailed Description

template<typename _Tp>
class cv::MatConstIterator_< _Tp >

Matrix read-only iterator.

## Member Typedef Documentation

## ◆ difference_type

template<typename _Tp >

ptrdiff_t cv::MatConstIterator_< _Tp >::difference_type

## ◆ iterator_category

template<typename _Tp >

std::random_access_iterator_tag cv::MatConstIterator_< _Tp >::iterator_category

## ◆ pointer

template<typename _Tp >

const _Tp* cv::MatConstIterator_< _Tp >::pointer

## ◆ reference

template<typename _Tp >

const _Tp& cv::MatConstIterator_< _Tp >::reference

## ◆ value_type

template<typename _Tp >

_Tp cv::MatConstIterator_< _Tp >::value_type

## Constructor & Destructor Documentation

## ◆ MatConstIterator_() [1/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( |  | ) |

default constructor

## ◆ MatConstIterator_() [2/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m | ) |

constructor that sets the iterator to the beginning of the matrix

## ◆ MatConstIterator_() [3/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | int | _row,
|  | int | _col = 0 )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator_() [4/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | Point | _pt )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator_() [5/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | const int * | _idx )

constructor that sets the iterator to the specified element of the matrix

## ◆ MatConstIterator_() [6/6]

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const MatConstIterator_< _Tp > & | it | ) |

copy constructor

## Member Function Documentation

## ◆ operator*()

template<typename _Tp >

const _Tp & cv::MatConstIterator_< _Tp >::operator* | ( |  | ) | const

returns the current matrix element

## ◆ operator++() [1/2]

template<typename _Tp >

MatConstIterator_ & cv::MatConstIterator_< _Tp >::operator++ | ( |  | ) |

increments the iterator

## ◆ operator++() [2/2]

template<typename _Tp >

MatConstIterator_ cv::MatConstIterator_< _Tp >::operator++ | ( | int |  | ) |

increments the iterator

## ◆ operator+=()

template<typename _Tp >

MatConstIterator_ & cv::MatConstIterator_< _Tp >::operator+= | ( | ptrdiff_t | ofs | ) |

shifts the iterator forward by the specified number of elements

## ◆ operator--() [1/2]

template<typename _Tp >

MatConstIterator_ & cv::MatConstIterator_< _Tp >::operator-- | ( |  | ) |

decrements the iterator

## ◆ operator--() [2/2]

template<typename _Tp >

MatConstIterator_ cv::MatConstIterator_< _Tp >::operator-- | ( | int |  | ) |

decrements the iterator

## ◆ operator-=()

template<typename _Tp >

MatConstIterator_ & cv::MatConstIterator_< _Tp >::operator-= | ( | ptrdiff_t | ofs | ) |

shifts the iterator backward by the specified number of elements

## ◆ operator=()

template<typename _Tp >

MatConstIterator_ & cv::MatConstIterator_< _Tp >::operator= | ( | const MatConstIterator_< _Tp > & | it | ) |

copy operator

## ◆ operator[]()

template<typename _Tp >

const _Tp & cv::MatConstIterator_< _Tp >::operator[] | ( | ptrdiff_t | i | ) | const

returns the i-th matrix element, relative to the current

## ◆ pos()

template<typename _Tp >

Point cv::MatConstIterator_< _Tp >::pos | ( |  | ) | const

returns the current iterator position

The documentation for this class was generated from the following file:

- opencv2/core/mat.hpp